Microsoft: When you have a DVD with room, please bundle your dependencies

I just started an install of Expression Studio 4 from the gold DVD ISO.

Annoyingly, Expression Studio 4 requires .NET Framework 4.0 but—unlike Visual Studio 2010—Expression Sudio doesn’t actually bundle the installer for .NET Framework 4.0.

download-netfx4

Arg! The download is huge.

netfx4-setup

This approach makes total sense if the Expression Studio was actually installed over the net but it isn’t. I have a DVD image and it’s only 40% filled. I wonder if most installation scenarios assumed that Visual Studio 2010 would be installed first? I don’t know but if you want to avoid the extra download time for .NET FX 4.0, install Visual Studio 2010 before Expression Studio 4.0.

Advertisements
%d bloggers like this: